/* GKrellM giFT plugin
 * Copyright (C) 2002, 2003 Tilman Sauerbeck <tilman@code-monkey.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,  USA.
 *
 */

#ifndef __COMMON_H
#define __COMMON_H

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <gkrellm2/gkrellm.h>
#include <libgift/libgift.h>
#include "event_ids.h"

typedef struct {
	EventID *id;
	GkrellmPanel *panel;
	GkrellmDecal *dcl_fname; /* decal for the filename and progress string */
	GkrellmDecal *dcl_dir; /* pixmap decal indicating transfer direction */
	GtkTooltips *tooltip;
	gchar dcl_fname_txt[1024];
	gboolean visible; /* is the transfer shown in a panel?
					   * can only change from FALSE to TRUE */
	gint x_off;
	gint x_scroll;
	gfloat speed; /* kilobytes per second */
} Transfer;

typedef struct {
	gdouble size_local;
	gdouble size_remote;
	gulong files_local;
	gulong files_remote;
	gulong users;
	gint transfer_count[DIR_NUM];
} giFTStats;

#define PLUGIN_NAME "giFT"
#define DEFAULT_CHART_LBL_FMT "\\t\\f$Sd\\n\\f$Su"

#endif
